package com.ruoyi.tcZz.service;

import java.util.List;
import com.ruoyi.tcZz.domain.TcGzdt;
import com.ruoyi.tcZz.domain.TcWljg;

/**
 * 工作动态Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcGzdtService 
{
    /**
     * 查询工作动态
     * 
     * @param id 工作动态主键
     * @return 工作动态
     */
    public TcGzdt selectTcGzdtById(Long id);

    /**
     * 查询工作动态列表
     * 
     * @param tcGzdt 工作动态
     * @return 工作动态集合
     */
    public List<TcGzdt> selectTcGzdtList(TcGzdt tcGzdt);

    /**
     * 新增工作动态
     * 
     * @param tcGzdt 工作动态
     * @return 结果
     */
    public int insertTcGzdt(TcGzdt tcGzdt);

    /**
     * 修改工作动态
     * 
     * @param tcGzdt 工作动态
     * @return 结果
     */
    public int updateTcGzdt(TcGzdt tcGzdt);

    /**
     * 批量删除工作动态
     * 
     * @param ids 需要删除的工作动态主键集合
     * @return 结果
     */
    public int deleteTcGzdtByIds(Long[] ids);

    /**
     * 删除工作动态信息
     * 
     * @param id 工作动态主键
     * @return 结果
     */
    public int deleteTcGzdtById(Long id);


    /**
     * 导入工作动态信息
     *
     * @return 结果
     */
    public String importUser(List<TcGzdt> tcGzdtList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
